@rem	-----------------------------------------------------------------------
@rem	-- Run InstallCert against a POP3, IMAP or SMTP server using STARTTLS.
@rem	--
@rem	-- The 'installcert-usn-20140115.jar' file is expected to be found in
@rem	-- the current directory.
@rem	-----------------------------------------------------------------------

@rem	-- JavaMail .jar location: to be amended
@rem	@set _JAVAMAIL_JAR=H:\-work\JavaTools\javamail-1.5.1\javax.mail.jar

@rem	-- check JavaMail .jar location being defined
	@if not '%_JAVAMAIL_JAR%' == ''  goto javaMailJarOk
	@echo Please first edit this script and uncomment/amend the line that defines the _JAVAMAIL_JAR variable, so to reflect your JavaMail library location.
	@echo See https://java.net/projects/javamail/pages/Home for JavaMail download.
	@exit /b 1
:javaMailJarOk

@rem	-- check command line arguments
	@if '%~1' == ''  goto argumentsWrong
	@if '%~3' == ''  goto argumentsOk
:argumentsWrong
	@echo Usage:
	@echo   %~nx0 host[:port] [truststore_password]
	@echo Default port is 443.
	@echo Default truststore password is 'changeit' as per JSSE convention.
	@exit /b 1
:argumentsOk


@rem	-- construct the classpath and run
	@set _CP=installcert-usn-20140115.jar;%_JAVAMAIL_JAR%
	java -cp %_CP% usn.net.ssl.util.InstallCert %*
